	program test
	parameter	(nLng=109)
	parameter	(nLat=19)
	parameter	(nMap=10)
	parameter	(XCbeg=0.)
	parameter	(XCend=3.)

	include		'mapcoordinates.h'	! Must be last declaration statement

	print *, 'nLng=',nLng
	print *, 'XCbeg=',XCbeg,'     XCend=',XCend,'    XCrange=',XCrange

	write (*,*) '  I    X=XCvar(I)    Y=XCindx(X)'
	do i=1-nLng1,nLng+nLng1
	    x = XCvar(i)
	    write (*,'(1X,I5,F12.5,2F14.4)') i, x, XCindx(x), XCindx(XCmod(x))
	end do

c	print *, ' '
c	write (*,*) '  I    X=XLdeg(I)    Y=XLindx(X)'
c	do i=1,nLat
c	    x = XLdeg(i)
c	    write (*,'(1X,I5,F12.5,F14.4)') i, x, XLindx(x)
c	end do

c	print *, ' '
c	RR  = sngl(SUN__RAU)
c	dRR = 0.1
c	RRR   = RR*(  1-nint( 1-sign(1.,RR-1.0001*sngl(SUN__RAU)) )/2  )
c	nRR   = 1+nint(RR/dRR)
c	write (*,*) 'RR=',RR,RRR,' Au,  dRR=',dRR,' Au,  nRR=',nRR
c	write (*,*) '  I    X=RRhght(I)   Y=RRindx(X)'
c	do i=1,nMap
c	    x = RRhght(i)
c	    write (*,'(1X,I5,F12.5,F14.4)') i, x, RRindx(x)
c	end do
c	x = 0.5*(dRR+SUN__RAU)
c	write (*,'(6X,F12.5,F14.4)') x, RRindx(x)
c
c	dRR = 0.1
c	do j=0,10
c	    print *, ' '
c	    RR  = dRR*j
c	    nRR   = 1+nint(RR/dRR)
c	    RRR   = RR*(  1-nint( 1-sign(1.,RR-1.0001*sngl(SUN__RAU)) )/2  )
c	    write (*,*) 'RR=',RR,RRR,' Au,  dRR=',dRR,' Au,  nRR=',nRR
c	    write (*,*) '  I    X=RRhght(I)   Y=RRindx(X)'
c	    do i=1,nMap
c		x = RRhght(i)
c	 	write (*,'(1X,I5,F12.5,F14.4)') i, x, RRindx(x)
c	    end do
c	    x = 0.5*(dRR+SUN__RAU)
c	    write (*,'(6X,F12.5,F14.4)') x, RRindx(x)
c	end do

	end
